Name:		kvkbd
Version:	0.5
Release:	alt3
Summary:	Virtual Keyboard for KDE
Source0:	http://www.kde-apps.org/CONTENT/content-files/56019-%name-%version.tar.bz2
Source1:	hi48-app-%name.png
URL:		http://www.kde-apps.org/content/show.php/Kvkbd?content=56019
Group:		Accessibility
License:	GPLv2
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Patch0:		%name-0.5-icon_48.patch
Patch1:		%name-0.5-alt_desktopdir.patch
Patch2:		%name-0.4.7-alt_desktop.patch
Patch3:		%name-0.5-gcc43.patch

# Automatically added by buildreq on Sat Nov 10 2007 (-bi)
BuildRequires:	gcc-c++ imake kdelibs-devel libXt-devel libXtst-devel libqt3-devel xml-utils xorg-cf-files

%description
A nice virtual keyboard for KDE with systray and dock widget
support.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp %SOURCE1 src/
make -f admin/Makefile.common
%configure
%make_build

%install
%makeinstall

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/%name
%_desktopdir/%name.desktop
%_datadir/apps/%name
%_datadir/icons/*/*/apps/%name.png

%changelog
* Thu Nov 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.5-alt3
- delete post/postun scripts (new rpm)

* Mon Oct 27 2008 Motsyo Gennadi <drool@altlinux.ru> 0.5-alt2
- fix fog gcc4.3 (patch from Gentoo)

* Mon Jun 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.5-alt1
- 0.5

* Thu Apr 03 2008 Motsyo Gennadi <drool@altlinux.ru> 0.4.9-alt1
- 0.4.9
- fix URL
- build for Sisyphus

* Fri Nov 09 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.7-alt1
- initial build for ALT Linux
